<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                   <!-- content -->
                   <h5 id="title"></h5>
                </div>
            </div>
            <div class="row" id="listdata"></div>
        </div>
    </section>


    <script src="js/jq.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    <script>
        $(document).ready(function(){

// var url = window.location.href;
// console.log(url);
var getUrlParams = function (url) 
{
  var params = {};
  (url + '?').split('?')[1].split('&').forEach(
    function (pair) 
    {
       pair = (pair + '=').split('=').map(decodeURIComponent);
       if (pair[0].length) 
       {
         params[pair[0]] = pair[1];
       }
  });

  return params;
};
var params = getUrlParams( window.location.href );
// alert( params.id );
var id = params.catid;
var pid = params.prodid;

$.getJSON('json/productdata.json', function(data) {
    // console.log(data);
    console.log(pid);
           $.each(data.productdata, function(i, f) {
           // var tblRow = "<tr>" + "<td>" + f.ProductName + "</td>" +
             //  "<td>" + f.PartNumber + "</td>" + "<td>" + f.Category + "</td>" + "<td>" + f.Qty + "</td>" + "</tr>";
            //   $("#productdata").append(tblRow);
            // console.log(f.CategoryId);
            if(f.CategoryId == id){
                // console.log('test');
                $('#title').html(f.CategoryName + " > ");
             
               $.each(f.ProductList, function(dx, x) {
                   console.log(x);
                if(x.ProductId == pid){
                    var dd = '<div class="col-md-4"><a href="product_details.html?catid='+id+'&prodid='+x.ProductId+'"><img src="'+x.ProductImage+'" class="img img-fluid"><h3>'+x.ProductName+'</h3><br>'+x.Price+'</a></div>';
                   $("#listdata").append(dd);
                   $('#title').append(x.ProductName );
                }
                   
               });
           
           
            }
           

            
         });
        
       });


        });
    </script>
</body>
</html>